Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.definition.pattern
Class PatternUtil

    java.lang.Object
      org.apache.tiles.definition.pattern.PatternUtil

    public final class PatternUtil

extends java.lang.Object

Utilities for pattern matching and substitution.

Since:
  2.2.0
Version:
  $Rev: 921998 $ $Date: 2010-03-11 20:58:08 +0100 (gio, 11 mar 2010) $

Method Summary
`static
`<K,V> java.util.Map<K,V>`
` | `createExtractedMap(java.util.Map<K,V> map, java.util.Set<K> keys)` Creates a new map that contains all the entries of the `defsMap` whose keys are contained in `keys`.
`static Definition` | `replacePlaceholders(Definition d, java.lang.String name, java.lang.Object... vars)` Creates a definition given its representation with wildcards and attribute values with placeholders, replacing real values into placeholders.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### replacePlaceholders

    public static Definition replacePlaceholders(Definition d,
                                                 java.lang.String name,
                                                 java.lang.Object... vars)

  Creates a definition given its representation with wildcards and attribute values with placeholders, replacing real values into placeholders.

  Parameters:
    `d` - The definition to replace.
    `name` - The name of the definition to be created.
    `vars` - The variables to be substituted.
  Returns:
    The definition that can be rendered.
  Since:
    2.2.0

### createExtractedMap

    public static <K,V> java.util.Map<K,V> createExtractedMap(java.util.Map<K,V> map,
                                                              java.util.Set<K> keys)

  Creates a new map that contains all the entries of the `defsMap` whose keys are contained in `keys`.

  Type Parameters:
    `K` - The key of the map.
    `V` - The value of the map.
  Parameters:
    `map` - The map to read.
    `keys` - The keys to extract.
  Returns:
    The extracted map.
  Since:
    2.2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.